#!/bin/bash
# AddMail2LDAP - Jörg Richter
#Lehrer

for lehrer in /home/teachers/*; do
  MYUSER=$(echo $lehrer | cut -d "/" -f 4)
  MYMAIL=$(ldapsearch -x -b "ou=accounts,dc=gymnasium-himmelsthuer,dc=de" "(uid=${MYUSER})" mail|grep "^mail:"| cut -d\: -f2)
  if [ -z "$MYMAIL" ]; then
    echo "AddMail2LDAP Lehrer(${MYUSER}) bisher(${MYMAIL}) neu(${MYUSER}@gymnasium-himmelsthuer.de)"
    smbldap-usermod -M ${MYUSER}@gymnasium-himmelsthuer.de $MYUSER
  else
    echo "AddMail2LDAP Lehrer(${MYUSER}) bisher(${MYMAIL}) bleibt"
  fi
done


#Schüler
#
for schueler in /home/students/*/*; do
  MYUSER=$(echo $schueler | cut -d "/" -f 5)
  MYMAIL=$(ldapsearch -x -b "ou=accounts,dc=gymnasium-himmelsthuer,dc=de" "(uid=${MYUSER})" mail|grep "^mail:"| cut -d\: -f2)
  if [ -z "$MYMAIL" ]; then
    echo "AddMail2LDAP Schüler(${MYUSER}) bisher(${MYMAIL}) neu(${MYUSER}@gymnasium-himmelsthuer.de)"
    smbldap-usermod -M ${MYUSER}@gymnasium-himmelsthuer.de $MYUSER
  else
    echo "AddMail2LDAP Schülerer(${MYUSER}) bisher(${MYMAIL}) bleibt"
  fi
done


